#****************************************************************************/
#* |\   ======   /| **              MSysM               ** |\   ======   /| */
#* |__\========/__| **     MasarLabs System Monitor     ** |__\========/__| */
#* |\            /| ** -------------------------------- ** |\            /| */
#* |  \        /  | **  Maurizio Sartori (c) 1998-2000  ** |  \        /  | */
#* |    \    /    | ** -------------------------------- ** |    \    /    | */
#* |    /=\/=\    | **            Written  by           ** |    /=\/=\    | */
#* |  /========\  | **     Maurizio Sartori 'masar'     ** |  /========\  | */
#* |/   ======   \| **   e-mail:  masar@MasarLabs.com   ** |/   ======   \| */
#****************************************************************************/
#*              This program comes with ABSOLUTELY NO WARRANTY              */
#*            for details refer to the GNU General Public License           */
#****************************************************************************/
#*\F $Id: Custom.mak,v 1.30 2003/11/19 15:11:13 cvs Exp $
#****************************************************************************/

##############################################################################
# Common Variables
##############################################################################

INSTALL_PREFIX  = /tmp/xxx

INSTALL_BIN_DIR = $(INSTALL_PREFIX)/bin
INSTALL_LIB_DIR = $(INSTALL_PREFIX)/lib/msysm
INSTALL_INC_DIR = $(INSTALL_PREFIX)/include
INSTALL_ETC_DIR = $(INSTALL_PREFIX)/etc
INSTALL_DOC_DIR = $(INSTALL_PREFIX)/doc
INSTALL_MAN_DIR = $(INSTALL_PREFIX)/man

INSTALL_USER    = $(shell id -n -u)
INSTALL_GROUP   = $(shell id -n -g)
INSTALL_PERM_D  = 755
INSTALL_PERM_X  = 755
INSTALL_PERM_F  = 644

##############################################################################

SHELL    = /bin/sh

CC       = gcc
CFLAGS   = -rdynamic \
             -O2 \
             -W \
	     -Wall \
	     -Wcast-align \
             -Wconversion -Winline \
             -Wmissing-prototypes \
             -Wno-import \
             -Wpointer-arith \
             -Wwrite-strings \
	     -Werror

SFLAFS   = -fPIC
SLFLAGS  = -shared
INCDIR   = -I../include
LIBDIR   = -L/usr/X11R6/lib
LIBS     = -lX11 -lXpm -ldl

AR       = ar
AUTOCONF = autoconf
AUTOHDR  = autoheader
AWK      = awk
CAT      = cat
CD       = cd
CHMOD    = chmod
CP       = cp
CVS      = cvs
DATE     = date
DOXYGEN  = doxygen
DPKG_BLD = dpkg-buildpackage -rfakeroot
ECHO     = /bin/echo
EGREP    = egrep
EXPAND   = expand
FIND     = find
GREP     = grep
HEAD     = head
ID       = id
IDENT    = ident
LN       = ln -sf
MKDEP    = g++ -M
MKDIR    = mkdir
MV       = mv
PERL     = perl
PRINTF   = printf
PWD      = pwd
RANLIB   = ranlib
RM       = rm
RMDIR    = rmdir
SED      = sed
STRIP    = strip
TAC      = tac
TAR      = tar -czf
TR       = tr
TRUE     = true
TEST     = /usr/bin/test
TEE      = tee
VI       = vi

RUNSOCKS_NOSOCKS = 1                    # used by Masar's environment

