/****************************************************************************/
/* |\   ======   /| **              MSysM               ** |\   ======   /| */
/* |__\========/__| **     MasarLabs System Monitor     ** |__\========/__| */
/* |\            /| ** -------------------------------- ** |\            /| */
/* |  \        /  | **  Maurizio Sartori (c) 1998-2000  ** |  \        /  | */
/* |    \    /    | ** -------------------------------- ** |    \    /    | */
/* |    /=\/=\    | **            Written  by           ** |    /=\/=\    | */
/* |  /========\  | **     Maurizio Sartori 'masar'     ** |  /========\  | */
/* |/   ======   \| **   e-mail:  masar@MasarLabs.com   ** |/   ======   \| */
/****************************************************************************/
/*              This program comes with ABSOLUTELY NO WARRANTY              */
/*            for details refer to the GNU General Public License           */
/****************************************************************************/
/*\F $Id: util.c,v 1.3 2000/12/14 20:18:02 cvs Exp $
*****************************************************************************/

static char Psz_RCS [] =
    "$Id: util.c,v 1.3 2000/12/14 20:18:02 cvs Exp $";

/****************************************************************************/

#include "msysm.h"
#include <msysm/modules.h>

#include <limits.h>

/****************************************************************************/
/*                          DrawDigitString ()                              */
/****************************************************************************/
void ReadLong (const char **pBuffer, long * lVal)
   {
   long lNeg = 0;
   long lNew = 0;
   const char *pPtr = *pBuffer;

   *Psz_RCS = *Psz_RCS;                         // To fake compiler warnings

   while (*pPtr && ((*pPtr == ' ') || (*pPtr == '\t')))
      {
      pPtr++;
      }
   if (*pPtr == '-')
      {
      lNeg = 1;
      pPtr++;
      }

   lNew = 0;
   while (*pPtr && (*pPtr >= '0') && (*pPtr <= '9'))
      {
      lNew *= 10;
      lNew += (*pPtr - '0');
      pPtr++;
      }
   if (lNew < 0)
      {
      lNew = lNew - LONG_MAX - 1;
      }
   if (lNeg)
      {
      lNew = -lNew;
      }

   *pBuffer = pPtr;
   *lVal    = lNew;
   }

